<template>
  <div id="app">
    <router-view />
    <theme-picker />
  </div>
</template>

<script>
import ThemePicker from "@/components/ThemePicker";

import devPixelRatio from "@/utils/devicePixelRatio.js";
export default {
  name: "App",
  components: { ThemePicker },
  metaInfo() {
    return {
      title: this.$store.state.settings.dynamicTitle && this.$store.state.settings.title,
      titleTemplate: title => {
        return title ? `${title} - ${process.env.VUE_APP_TITLE}` : process.env.VUE_APP_TITLE
      }
    }
  },
  created() {
    new devPixelRatio().init(); // 初始化页面比例
  },
};
</script>
<style scoped>
#app .theme-picker {
  display: none;
}

body {
  margin: 0;
  padding: 0;
}
</style>
